# Environment script for programs in app-sync (sh)
#
# Author: Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
#

#-----------------------------------------------------------
# Matlab
#-----------------------------------------------------------
_matlab_dir="/opt/app-sync/matlab"
if [ -d $_matlab_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_matlab_dir/bin ; then
	 PATH=$_matlab_dir/bin:$PATH
    fi
fi

#-----------------------------------------------------------
# Maple
#-----------------------------------------------------------
_maple_dir="/opt/app-sync/maple"
if [ -d $_maple_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_maple_dir/bin ; then
	PATH=$_maple_dir/bin:$PATH
    fi
fi

#-----------------------------------------------------------
# Cplex
#-----------------------------------------------------------
_cplex_dir="/opt/app-sync/cplex"
if [ -d $_cplex_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_cplex_dir/bin ; then
	PATH=$_cplex_dir/bin:$PATH
    fi
fi

#-----------------------------------------------------------
# Envi
#-----------------------------------------------------------
_envi_dir="/opt/app-sync/envi"
if [ -d $_envi_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_envi_dir/bin ; then
	PATH=$_envi_dir/bin:$PATH
    fi
fi

#-----------------------------------------------------------
# TeX Live
#-----------------------------------------------------------
_texlive_dir="/opt/app-sync/texlive"
_texlive_path="$_texlive_dir/local-texmf/bin/x86_64-linux:$_texlive_dir/uio-texmf/bin/x86_64-linux"
if [ -d $_texlive_dir ]; then
    if ! echo ${PATH} | /bin/grep -q $_texlive_path ; then
	PATH=$_texlive_path:$PATH
    fi
fi

#-----------------------------------------------------------
# Xite
#-----------------------------------------------------------
_xite_dir="/opt/app-sync/xite"
if [ -d $_xite_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_xite_dir/bin ; then
	PATH=$_xite_dir/bin:$PATH
    fi
fi

#-----------------------------------------------------------
# Mathematica
#-----------------------------------------------------------
_mathematica_dir="/opt/app-sync/mathematica"
if [ -d $_mathematica_dir/bin ]; then
    if ! echo ${PATH} | /bin/grep -q $_mathematica_dir/bin ; then
	PATH=$_mathematica_dir/bin:$PATH
    fi
fi

# Finally, export variables
export PATH

#-----------------------------------------------------------
# Bash Completion
#-----------------------------------------------------------
#_app_sync()
#{
#    local options="list install remove update help"
#    local current="${COMP_WORDS[$COMP_CWORD]}"
#    local previous="${COMP_WORDS[$COMP_CWORD-1]}"
#
#    if [[ $COMP_CWORD -eq 1 ]]; then
#        COMPREPLY=( $(compgen -W "$options" -- "$current" ) )
#    elif [[ $COMP_CWORD -eq 2 && "$previous" == "install" ]]; then
#        COMPREPLY=( $(compgen -W "$(command app-sync list-available)" -- "$current" ) )
#    elif [[ $COMP_CWORD -eq 2 && "$previous" == "remove" ]]; then
#        COMPREPLY=( $(compgen -W "$(command app-sync list-installed)" -- "$current" ) )
#    else
#        COMPREPLY=()
#    fi
#
#    return 0
#} &&
#complete -F _app_sync app-sync
