# Environment script for programs in app-sync (csh)
#
# Author: Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
#

#-----------------------------------------------------------
# Matlab
#-----------------------------------------------------------
set _matlab_dir = "/opt/app-sync/matlab"
if ( -d $_matlab_dir/bin ) then
    if ( "${path}" !~ *$_matlab_dir/bin* ) then
	set path = ( $_matlab_dir/bin $path )
    endif
endif

#-----------------------------------------------------------
# Maple
#-----------------------------------------------------------
set _maple_dir = "/opt/app-sync/maple"
if ( -d $_maple_dir/bin ) then
    if ( "${path}" !~ *$_maple_dir/bin* ) then
	set path = ( $_maple_dir/bin $path )
    endif
endif

#-----------------------------------------------------------
# Cplex
#-----------------------------------------------------------
set _cplex_dir = "/opt/app-sync/cplex"
if ( -d $_cplex_dir/bin ) then
    if ( "${path}" !~ *$_cplex_dir/bin* ) then
	set path = ( $_cplex_dir/bin $path )
    endif
endif

#-----------------------------------------------------------
# Envi
#-----------------------------------------------------------
set _envi_dir = "/opt/app-sync/envi"
if ( -d $_envi_dir/bin ) then
    if ( "${path}" !~ *$_envi_dir/bin* ) then
	set path = ( $_envi_dir/bin $path )
    endif
endif

#-----------------------------------------------------------
# TeX Live
#-----------------------------------------------------------
set _texlive_dir = "/opt/app-sync/texlive"
set _texlive_path1 = "$_texlive_dir/local-texmf/bin/x86_64-linux"
set _texlive_path2 = "$_texlive_dir/uio-texmf/bin/x86_64-linux"
if ( -d $_texlive_dir ) then
    if ( "${path}" !~ *$_texlive_path2* ) then
	set path = ( $_texlive_path2 $path )
    endif
    if ( "${path}" !~ *$_texlive_path1* ) then
	set path = ( $_texlive_path1 $path )
    endif
endif

#-----------------------------------------------------------
# Xite
#-----------------------------------------------------------
set _xite_dir = "/opt/app-sync/xite"
if ( -d $_xite_dir/bin ) then
    if ( "${path}" !~ *$_xite_dir/bin* ) then
	set path = ( $_xite_dir/bin $path )
    endif
endif

#-----------------------------------------------------------
# Mathematica
#-----------------------------------------------------------
set _mathematica_dir = "/opt/app-sync/mathematica"
if ( -d $_mathematica_dir/bin ) then
    if ( "${path}" !~ *$_mathematica_dir/bin* ) then
	set path = ( $_mathematica_dir/bin $path )
    endif
endif
